Kerbal Space Program - Bug #6338

Quickload puts open parachutes to "default” orientation instead along the direction of fall; ship
freefalls for some time after quickload

12/23/2015 01:20 PM - Kasuha

Status: Needs Clarification Start date: 12/23/2015
Severity: Low % Done: 0%
Assignee:

Category: Gameplay

Target version:

Version: 1.0.5 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

Reproduction steps:

e Start a sandbox game

¢ | oad attached testing ship and launch it from launchpad
¢ Deploy parachutes during fall

¢ Make a quicksave about 10 m above ground

¢ Quickload

Expected behavior: game loads the state as it was at the moment of the quicksave, the ship continues its fall on parachutes and
safely lands

Observed behavior: game loads the state, parachutes are deployed sideways, ship freefalls towards the ground and explodes

There are plenty of valid reasons to mount parachutes in any orientation on a ship. Also in many cases the orientation of the ship
during landing differs from the intended orientation due to poor design.

The freefall may not be due to parachutes being sideways but because physics are not yet fully running. Even that is wrong and
should be fixed. Quickload should mean return to exactly the same state in which the game was quicksaved.

History

#1-07/17/2016 09:41 AM - TriggerAu

- Status changed from New to Needs Clarification

#2 - 10/15/2016 07:14 PM - Kasuha

Problem is still present in 1.2
